Subject: Re: (wg14 46) Re: (i18n 80) Re: AT&T Bell Labs wishes for shorthand character names

From: Keld J|rn Simonsen <[email-masked]>
Date: Mon, 25 Feb 91 21:25:45 +0100

> > 13. X windows is not naming characters, but has something that comes
> >     close. In the X Input Methods for Japanese, a way of generating
> >     Kana and Kanji characters from ASCII is provided. You may 
> >     consider this as shorthands. There may be other Input Methods
> >     defined for other character sets.
> 
> It is rather misleading to suggest that the "shorthands" being
> discussed are similar to the strings that are typed to generate Kana
> and eventually Kanji.
> 
> "Shorthands" (actually I don't see what's so short about them :-) such
> as \(ps are unambiguous and are simply converted to Pound Sign.
> 
> However, strings such as "sa" can be mapped to several different
> Japanese characters, and human intervention is required to
> disambiguate.

Well, what I meant is that in some Japanese Input Methods you
spell the pronunciation of a Kanji character with Latin/Hiragana
characters, and then you get a choice between the possible cases.
These cases could be numbered and then the pronunciation + number
would uniquely identify the Kanji character. Just an idea. 
I know that a Kanji character can have different pronunciations.

keld